Bug 718966 - (CVE-2011-2464) CVE-2011-2464 bind: Specially constructed packet will cause named to exit
CVE-2011-2464 bind: Specially constructed packet will cause named to exit
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20110705,reported=20110705,sou...
: Security
Depends On: 719039 719040 719041 719070 719072 833877
Blocks: 718981
  Show dependency treegraph
 
Reported: 2011-07-05 06:42 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-02-26 18:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-26 18:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bind 9.7.3 P1 -> P3 diff (15.42 KB, patch)
2011-07-05 09:25 EDT, Tomas Hoger
no flags Details | Diff
bind 9.8.0 P2 -> P4 diff (30.21 KB, patch)
2011-07-05 09:43 EDT, Tomas Hoger
no flags Details | Diff
bind 9.8.0 P2 -> P4 diff (26.19 KB, patch)
2011-07-05 09:46 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-07-05 06:42:04 EDT
A specially crafted packet can cause named process to exit, affecting 
DNS services
Comment 2 Eugene Teo (Security Response) 2011-07-05 07:01:13 EDT
The Red Hat Security Response Team is aware of the accidental disclosure of the ISC security advisories. We are working to find out more about the vulnerabilities addressed.

Reference:
http://risky.biz/auscert-bind
http://pastebin.com/9NUt8Pk0
Comment 3 Eugene Teo (Security Response) 2011-07-05 07:18:51 EDT
http://article.gmane.org/gmane.comp.security.oss.general/5415
Comment 4 Tomas Hoger 2011-07-05 09:15:26 EDT
Upstream advisory:
http://www.isc.org/software/bind/advisories/cve-2011-2464
Comment 5 Tomas Hoger 2011-07-05 09:25:39 EDT
Created attachment 511313 [details]
bind 9.7.3 P1 -> P3 diff

Comment / header changes excluded.
Comment 6 Tomas Hoger 2011-07-05 09:43:32 EDT
Created attachment 511315 [details]
bind 9.8.0 P2 -> P4 diff
Comment 7 Tomas Hoger 2011-07-05 09:46:35 EDT
Created attachment 511316 [details]
bind 9.8.0 P2 -> P4 diff

Same as comment #6, removing diff for files that only got white-space changes.
Comment 9 Vincent Danen 2011-07-05 11:08:11 EDT
Created bind tracking bugs for this issue

Affects: fedora-all [bug 719041]
Comment 19 errata-xmlrpc 2011-07-08 02:27:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0926 https://rhn.redhat.com/errata/RHSA-2011-0926.html

Note You need to log in before you can comment on or make changes to this bug.